<app-spinner *ngIf='loading'></app-spinner>
<div *ngIf='!loading'>
  <app-admin-nav-bar></app-admin-nav-bar>

  <app-user-form (createUser)="getUsersList()"></app-user-form>

  <h2>User list</h2>
  <div fxLayout="row" fxLayoutAlign="space-between center">

    <div fxLayout="row" fxLayoutAlign="space-between center">
      Show:
      <md-select (change)="changePageSize()" [(ngModel)]="pageSize" class="page-size">

        <md-option *ngFor="let nbrOfItems of numbersOfItems" [value]="nbrOfItems">
          {{nbrOfItems}}
        </md-option>

      </md-select>
      Order by:
      <md-select (change)="getUsersList()" [(ngModel)]="ordering" class="order">

        <md-option *ngFor="let criterion of orderingCriteria| mapToIterableByKey" [value]="criterion">
          {{orderingCriteria.get(criterion)}}
        </md-option>

      </md-select>

      <a (click)="sortAndGet('dsc')" [ngClass]="{'selected': sorting==='dsc'}" class="order-btn">
        <md-icon mdTooltip="Descending">sort</md-icon>
      </a>
      <a (click)="sortAndGet('asc')" [ngClass]="{'selected': sorting==='asc'}" class="order-btn">
        <md-icon class="reverse" mdTooltip="Ascending">sort</md-icon>
      </a>
    </div>

    <div>
      <app-pagination (pageChanged)="getUsersListPage($event)" [currentPage]="currentPage" [totalItems]="totalItems" [pageSize]="pageSize"></app-pagination>
    </div>

  </div>
  <div *ngFor="let user of users">
    <app-admin-user [user]="user" (delete)="getUsersList()"></app-admin-user>
  </div>
</div>
